Hermos API

Get Installment Plan

GET/installment_plans/{id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque installment plan ID.

Match^ipl_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/installment_plans/string"
{  "data": {    "object": "installment_plan",    "id": "string",    "livemode": true,    "created_at": "2019-08-24T14:15:22Z",    "product_id": "string",    "plan_id": "string",    "price_id": "string",    "customer_id": "string",    "customer": {      "name": "string",      "email": "string"    },    "status": "on_track",    "installments_total": 0,    "installment_amount": {      "amount": -9007199254740991,      "currency": "string"    },    "total": {      "amount": -9007199254740991,      "currency": "string"    },    "paid_count": 0,    "paid": {      "amount": -9007199254740991,      "currency": "string"    },    "remaining": {      "amount": -9007199254740991,      "currency": "string"    },    "payment_method": {      "type": "string",      "brand": "string",      "last4": "string"    },    "installments": [      {        "number": 1,        "amount": {          "amount": -9007199254740991,          "currency": "string"        },        "status": "paid",        "due_at": "string",        "paid_at": "string",        "failed_at": "string",        "next_retry_at": "string",        "at_checkout": true,        "affiliate_earned": {          "amount": -9007199254740991,          "currency": "string"        }      }    ],    "next_payment": {      "number": 0,      "amount": {        "amount": -9007199254740991,        "currency": "string"      },      "due_at": "string",      "is_last": true    },    "affiliate": {      "affiliate_id": "string",      "name": "string",      "rate_percent": 0,      "earned": {        "amount": -9007199254740991,        "currency": "string"      },      "potential": {        "amount": -9007199254740991,        "currency": "string"      }    },    "missed_payment_rule": "overdue_rules",    "last_email": {      "kind": "payment_failed",      "sent_at": "2019-08-24T14:15:22Z"    },    "stopped_at": "string",    "paid_in_full_at": "string"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}